org.apache.ignite.internal.visor.compute

## Class VisorComputeCancelSessionsTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<Map<UUID,Set<IgniteUuid>>,Void,Void>
  - - org.apache.ignite.internal.visor.compute.VisorComputeCancelSessionsTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Map<UUID,Set<IgniteUuid>>>,Void>

    @GridInternal
    public class VisorComputeCancelSessionsTask
    extends VisorMultiNodeTask<Map<UUID,Set<IgniteUuid>>,Void,Void>

Cancels given tasks sessions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorComputeCancelSessionsTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.compute.VisorComputeCancelSessionsTask.VisorComputeCancelSessionsJob` `job(Map<UUID,Set<IgniteUuid>> arg)`
`protected Void` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorComputeCancelSessionsTask

    public VisorComputeCancelSessionsTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.compute.VisorComputeCancelSessionsTask.VisorComputeCancelSessionsJob job(Map<UUID,Set<IgniteUuid>> arg)

Specified by:
  `job` in class `VisorMultiNodeTask<Map<UUID,Set<IgniteUuid>>,Void,Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected Void reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<Map<UUID,Set<IgniteUuid>>,Void,Void>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016